YUM is an open-source command-line package-management utility for RPM-compatible Linux operating systems.

learn more… | top users | synonyms

0
votes
1answer
55 views

yum downloadonly does not get all rpms needed for network free upgrade

I need a method to install all the rpms and their dependencies that this client needs to get a php app running. The client does not want to connect their fedora server to the internet. I tried doing ...
0
votes
1answer
176 views

Yum php-yaml install issues

We had an issue with an ansible playbook using vagrant - where formerly php-yaml was installing fine. Then, we were getting issues with our PHP repo: [vagrant@localhost ~]$ sudo yum install php-yaml ...
0
votes
0answers
50 views

Apache tomcat server for yum repo

I have a system that currently has apache tomcat on it (RHEL 6.5). I also want to make a yum update repo on this system for other systems on the network (also RHEL 6.5). I know I can use the apache ...
0
votes
2answers
54 views

How do I update YUM repositories to get Postgres9.x version?

I need to install some Postgres9.1 libs, but "yum list" only shows 8.4 version. How to "update" yum repo list to get 9.1 version? My Linux version: # cat /etc/redhat-release Red Hat Enterprise ...
-3
votes
1answer
47 views

How does “yum info” work? [closed]

I want to know how the yum info command works. I know yum info will display information about the installed package, but I really want to know which file it reads for that information. Whether it's ...
0
votes
1answer
206 views

How do I update bash on RHEL5 servers with expired contracts? [duplicate]

I have two servers with expired contracts that are both vulnerable to shellshock. I am in the process of migrating both to new servers with RHEL6 or greater depending when I get this done. That ...
0
votes
2answers
166 views

Cannot install mysql-devel on centos

Everytime I try to run sudo yum install mysql-devel I am met with the following error: Setting up Install Process Resolving Dependencies --> Running transaction check ---> Package ...
0
votes
0answers
34 views

yum remove package freeze while erasing

I'm using CentOS 6.5 on a server. Some time ago, I installed from a third-party repository Newscoop CMS. Now I'm not able to remove it. yum remove newscoop Freeze at the "erasing" point, shutting ...
0
votes
1answer
33 views

rpm package conflicts with itself in yum

I prepared custom package platform-6-1.2.3-1.x86_64. I want it to be conflicting with every OTHER plat-6 package installed in the system. Files of the package are not conflicting with the others ...
1
vote
1answer
185 views

CentOS fails to update Bash

I'm trying to patch my server against the Shellshock vulnerability issue. However, I'm unable to update Bash to a safe version, these are the results I'm getting: # yum update bash Loaded plugins: ...
0
votes
2answers
222 views

bash stuck at 3.2-24.el5 (Redhat)

I'm trying to update bash on our Red Hat Enterprise Linux Server release 5.6 server. But it won't find an update later than "3.2-24.el5". I've check and it is vulnerable for the shellshock ...
0
votes
1answer
121 views

Do CentOS 4 yum Repositories Exist Anywhere

I am trying (somewhat desperately) to convert an RHEL 4 server with no RedHat contract to CentOS 4 preparatory to upgrading it to CentOS 5 because "shellshock." I am following the instructions found ...
5
votes
1answer
2k views

Why are some CentOS 5 boxes still vulnerable to ShellShock after upgrading Bash?

I have two CentOS 5.10 boxen where I have upgraded bash to the latest version. However, in one of the boxes, bash is still vulnerable to CVE-2014-7169 (I am using the test from this ServerFault ...
0
votes
1answer
179 views

Sudo yum update errors

I recently tried installing HHVM on my Centos VPS today without luck. I then tried to update my VPS and received the following errors below. I'm quite new to the command line so I don't have a clue as ...
2
votes
0answers
62 views

yum-complete-transaction in a crazy loop

I was trying to update a server that I have with yum update and it aborted because the server ran out of memory. I killed off a few processes that were not needed and ran yum-complete-transaction but ...
-7
votes
1answer
90 views

Use puppet to update Yum repository [closed]

I have just started working on puppet and successfully installed the master server and agents. As part of my test, I am of the understanding that Puppet can replicate my configuration to the different ...
0
votes
0answers
34 views

Producing RPMs that conflict with all versions released by someone else?

I find myself needing to create a variant of the PostgreSQL packages that are mostly compatible with the official http://yum.postgresql.org/ packages. My packages are compatible with client apps that ...
2
votes
1answer
170 views

What is yum “running transaction test”?

There are many questions and answers on the internet about the "Running transaction test" notice which appears after a yum update. These questions usually concern what to do if it gets stuck. My ...
0
votes
0answers
47 views

Install tuleap on amazon ec2 linux AMI

I'd like to know if it's possible to install tuleap on amazon ec2 linux ami. I searched the net unsuccessfully and when I try to install tuleap with yum, I got confilcts error (with httpd24, ...
-2
votes
1answer
48 views

What is D option in linux yum assisted install?

When I install something with yum installer on linux, I get something like this: Is this ok [y/d/N]: _ So... what is the "D" option?
1
vote
1answer
175 views

Difference between rpm php and php54 packages from remi repo

I am doing some system automation where we need php 54. We install this from the remi repo. I can't tell what's different other than size in the two below: ...
3
votes
1answer
167 views

RHEL/CentOS - Is it possible to update packages only up to a certain release date?

Technically speaking, if one wanted to update a RHEL or CentOS server using yum, but only up to a certain release date (i.e. don't install any updates released after X date), would it be possible and ...
0
votes
2answers
239 views

Upgrade R to 3.1.1 on ec2 via yum

I have an ec2 instance with an older version (3.0.2) of R that I'm trying to update to the latest (3.1.1). This is not available in the default yum repo, but is available under EPEL. The installed ...
0
votes
0answers
117 views

RedHat Yum Install Errors (PHP Module)

All, I am trying to use yum to install a PHP module which I expected to take all of five minutes... After quite a bit more than that I am stumped. Yum is throwing an error about a dependency missing ...
0
votes
0answers
192 views

Yum update coreutils failed

I got error update coreutils. Here is console log root@server70 [~]# yum update coreutils Loaded plugins: fastestmirror, refresh-packagekit, rhnplugin Loading mirror speeds from cached hostfile ...
0
votes
1answer
105 views

rebuild yum index on aws s3

I am trying to rebuild yum repo on aws S3 after adding new packages. Here are few commands I am trying, but it is not helping. [root@chucks ~]$ createrepo --baseurl ...
2
votes
3answers
2k views

CentOS 6.5 new Kernel not active after reboot

Today I was running some yum updates and wanted to verify that everything went through fine by making sure I had a new kernel. To my surprise I noticed that CentOS was still running ...
0
votes
1answer
69 views

yum update rpm packages installed manually

I needed to install the libxml 2.7 package and for this i uninstalled yum (yum have dependencies on libxml), is there any way I can make the pass to work with yum rpm packages installed previously? I ...
0
votes
2answers
364 views

Yum problems with easy apache - The server’s system package manager, ‘YUM’, failed.?

I keep getting the following error on easy appache !! The server’s system package manager, ‘YUM’, failed. ! !! This is the command that failed: yum -y install gettext automake19 libstdc++.x86_64 ...
1
vote
2answers
2k views

CentOS 6 Yum update issue

I get this error when I try and run 'yum-complete-transaction' in shell: [root@namesvr ~]# yum-complete-transaction Loaded plugins: fastestmirror mirror speeds from cached hostfile Loading mirror ...
0
votes
1answer
24 views

How can I create a yum repository from downloaded packages? [duplicate]

How can one setup local yum repository using the downloaded rpm packages? This is a note to self. I am not sure if this good way, but I am trying nevertheless.
1
vote
1answer
75 views

Create yum variable, that is the result of a command?

To clarify, I am looking on how to store a yum variable as the RESULT of a command. The command I use to get the OS version is irrelevant to me, I'm sure there are better ways of getting it than what ...
0
votes
1answer
161 views

Spacewalk (satellite) activation refresh child channels on client

We have a (spacewalk) rhn satellite server running and several hundred machines registered with it with a few activation keys. Each of these keys have one or more child channels. We need to know how ...
-2
votes
1answer
534 views

sudo yum install httpd is throwing errors

Hello this is the command im typing and its returning the error you see, any suggestions please [ec2-user@ip-172-31-41-46 ~]$ sudo yum install httpd Loaded plugins: priorities, update-motd, ...
0
votes
1answer
357 views

Yum updates for CentOS by OpenLogic fails on Microsoft Azure

Earlier today I made a fresh install of CentOS in Azure from images provided by OpenLogic. When I try to update the system with yum update, I get: Loaded plugins: security ...
0
votes
0answers
562 views

having problems updating yum on my centos 6.5 final system

[root@spanky ~]# yum update rpmdb: read: 0x7fff4032cbd0, 512: Input/output error rpmdb: /var/lib/rpm/Providename: Input/output error rpmdb: write: 0x12e1050, 4096: Bad file descriptor error: cannot ...
1
vote
1answer
533 views

Trying to install php-devel on AWS EC2 server to compile a PHP extension, but getting errors “httpd24 conflicts with httpd-2.2.27-1.3.amzn1.x86_64”

I'm trying to install php-devel on an AWS EC2 server so I can compile a PHP extension. But I get an conflits error. --> Processing Conflict: httpd24-2.4.10-1.59.amzn1.x86_64 conflicts httpd < ...
1
vote
1answer
2k views

How to add language support on CentOS 7 (on Docker)?

I'm trying to set locale to Japanese, but CentOS image on docker doesn't include language support. bash-4.2# yum groupinstall -y "Japanese Support" Loaded plugins: fastestmirror Loading mirror speeds ...
0
votes
0answers
208 views

Remove pgdg-centos92-9.2-6.noarch.rpm or enable for install PostgreSQL in CentOS 6.5

I'm trying to install PostgreSQL 9.2.6 in CentOS 6.5 and I doing as follow: Install PostgreSQL 9.2 repository rpm -Uvh ...
10
votes
1answer
158 views

Why does yum index get corrupted?

Occasionally yum's cache gets corrupted and we see errors like this: error: db3 error(-30974) from dbenv->failchk: DB_RUNRECOVERY: Fatal error, run database recovery error: cannot open Packages ...
0
votes
1answer
140 views

“yum groupinstall” i686 packages on x64?

I'm working on enabling x64 host build workers to build i686 RPMs, now that AWS EC2 (which we use to run build workers) is deprecating i386 nodes like m1.medium in favour of x64-only instance types ...
0
votes
1answer
132 views

CentOS 5.5 php-posix with dependency error php53-common

I'm having problems installing php-posix. The problem I have, is that I used epel.repo and now I can't work out how to get past this. I'm not great with Redhat & yum. [root@badelivery ~]# yum ...
0
votes
1answer
147 views

Upgrading PHP 5.2 to PHP 5.3 on EC2

I am a HUGE novice with this, and I have spend a whole day and a night trying to fix this. I know this has been asked before, but I have tried everything in those answers as well as from all over the ...
0
votes
1answer
173 views

Installing SOX on EC2 server?

I could use some help getting SOX installed on an EC2 server. My EC2 server is completely "vanilla" and is using the Amazon Linux AMI (3.4.37-40.44.amzn1.x86_64). Most of the SOX installation ...
2
votes
1answer
240 views

Enable the EPEL repository on AWS Elastic Beanstalk

I need to install some tools from the Extra Packages for Enterprise Linux repository (EPEL) that are not available in the default repositories of the Amazon Linux AMI. /etc/yum.repos.d/epel.repo ...
0
votes
1answer
1k views

Trying to remove packages with yum, however it is failing?

Trying to uninstall zarafa mail server. I use yum list installed to view the already isntalled packages. After which I use yum erase zarafa* It picks up all the packages but returns: Error in ...
0
votes
1answer
172 views

Replace @remi packages with base packages

while installing iRedMail, I ran into the issues that some of my old packages were installed or updated by the Remi repo. I have disabled the epel and remi repos now, ran yum update all and I still ...
0
votes
1answer
296 views

RESOLVED: yum says mod_cluster is installed, but the files are not there

RHEL 6.5 + JBoss EAP 6. I installed JBoss EAP 6 from the RHEL repos using grouinstall: # yum groupinstall "JBoss EAP 6" This seems to have worked fine except that the files for mod_cluster are not ...
2
votes
4answers
691 views

Issues installing mongodb on centos 5

I'm trying to install mongodb for my centos 5.1 server via yum. I followed the instructions of creating a .repo file in the yum folder, but it still doesnt work. here's the screenshot of the issue: ...
0
votes
0answers
92 views

Server load spikes after yum update and Laravel installation

The Platform: Centos 6.3 PHP 5.4.30 Apache 2.2.15 mysql Ver 14.14 Distrib 5.5.37, for Linux (x86_64) using readline 5.1 4 CPUs 12 GB RAM 1TB Hard Disk Prefork Settings for Apache <IfModule ...